Security Enhanced Linux Reference Policy

# Layer: services

## Module: glusterfs

Tunables Interfaces

### Description:

Cluster File System binary, daemon and command line.

### Tunables:

glusterfs_manage_unlabeled

##### Default value

false

##### Description

Allow the gluster daemon to manage unlabeled objects. This could happen if the underlying gluster brick experiences data corruption and you want to allow gluster to handle files with corrupted or missing xattrs.

glusterfs_modify_policy

##### Default value

false

##### Description

Allow the gluster daemon to automatically add and remove file contexts from the local SELinux policy when adding and removing bricks.

Return

### Interfaces:

glusterfs_admin( domain , role )

##### Summary

All of the rules required to administrate an glusterfs environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

glusterfs_domtrans_daemon( domain )

##### Summary

Execute glusterd in the glusterd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

glusterfs_run_daemon( domain , role )

##### Summary

Execute glusterd in the glusterd domain, and allow the specified role the glusterd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

glusterfs_search_bricks( domain )

##### Summary

Search through the contents of gluster brick directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

glusterfs_stream_connect_daemon( domain )

##### Summary

Connect to glusterd over a unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

glusterfs_use_daemon_fds( domain )

##### Summary

Inherit and use glusterd file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return